unit sutils;

interface

uses
  SysUtils;

function StrBeforeToken(const aToken, aString: string): string;
function StrAfterToken(const aToken, aString: string): string;

implementation

function StrBeforeToken(const aToken, aString: string): string;
var
  idx: Integer;
begin
  Assert(Trim(aToken) <> '', 'aToken must be specified in call to StrBeforeToken.');
  Assert(Trim(aString) <> '', 'aString must be specified in call to StrBeforeToken.');
  idx := Pos(aToken, aString);
  Assert(idx > 0, Format('Token: %s not found in string: %s', [aToken, aString]));
  Result := Copy(aString, 1, idx - 1);
end;

function StrAfterToken(const aToken, aString: string): string;
var
  idx: Integer;
begin
  Assert(Trim(aToken) <> '', 'Token must be specified in call to StrAfterToken.');
  Assert(Trim(aString) <> '', 'aString must be specified in call to StrAfterToken.');
  idx := Pos(aToken, aString);
  Assert(idx > 0, Format('Token: %s not found in string: %s', [aToken, aString]));
  Result := Copy(aString, idx + 1, MaxInt);
end;

end.
